| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
List of all members
IG.Lib.ISerializationDto< Type > Interface Template Reference

Generic base class for Data Transfer Objects (DTO). This class is used as template for producing concrete DTO classes. Such DTOs are used for serialization and deserialization of state of various kinds of objects that need to be transfered between applications, across platforms, or simply stored in files for future use. More...

Inheritance diagram for IG.Lib.ISerializationDto< Type >:
[legend]
Collaboration diagram for IG.Lib.ISerializationDto< Type >:
[legend]

## Additional Inherited Members
Public Member Functions inherited from IG.Lib.ISerializationDto< Type, BaseType >
void | CopyFromBase (BaseType obj)
| Copies data to the current DTO from an object of type BaseType. More...
void | CopyToBase (ref BaseType obj)
| Copies data from the current DTO to an object of the base type. Object is created anew if necessary by using the CreateObject() method. More...
void | CopyFromObject (object obj)
| Copies data to the current DTO from an object of type object. The necessary casts are performed. More...
void | CopyToObject (ref object obj)
| Copies data from the current DTO to an object of type object. Object is created anew if necessary by using the CreateObject() method. The necessary casts are performed. More...
Public Member Functions inherited from IG.Lib.ISerializationDtoAux< Type >
bool | GetNull ()
| Returns a flag indicating whether the object represented by the current DTO is null. More...
void | SetNull (bool isNull)
| Sets a flag indicating whether the object represented by the current DTO is null. More...
Type | CreateObject ()
| Creates and returns a new object of the type whose data is represented by the current DTO (Data Transfer Object). WARNING: Implement thread locking in overriding functions! More...
void | CopyFrom (Type obj)
| Copies data to the current DTO from an object of type Type. More...
void | CopyTo (ref Type obj)
| Copies data from the current DTO to an object of type Type. Object is created anew if necessary by using the CreateObject() method. More...

## Detailed Description

Generic base class for Data Transfer Objects (DTO). This class is used as template for producing concrete DTO classes. Such DTOs are used for serialization and deserialization of state of various kinds of objects that need to be transfered between applications, across platforms, or simply stored in files for future use.

Template Parameters

  Type | Type for which DTO is used.

See also
  SerializationDtoBase<Type, Type>

There is an agreement that all derived classes must have a public argument-less (default) constructor. Generic classes are usually not used for serialization/deserialization. Only derived types where both type parameters are fixed are normally used for this purpos. This class is essentially equal to SerializationDtoBase<Type, BaseType> where BaseType is the same as Type. IMPORTANT: This class does not have base type specified, i.e. it is used for situation where actual object type is not sidtinguished from base type. Base type in the variant with two types (SerializationDtoBase<Type, BaseType>) is used just occasionally because of the benefit of defining copying operation only for base type and use it for different derived types.

$A Igor Jun09;

The documentation for this interface was generated from the following file:

- igbase/data/serialization/SerializationDtoBase.cs